优麒麟技术论坛

 找回密码

请问大家,不同内核版本,怎么用同一个驱动呢? [复制链接]

自己用的麒麟系统和客户用的不是一个内核版本,编译生成的驱动文件他们不能用,显示格式错误;这种问题怎么解决呢
发表于 2021-10-29 14:31:45
回复

使用道具 举报

请问大家,不同内核版本,怎么用同一个驱动呢? [复制链接]

写成dkms?每次内核升级都可以自动更新,或者是只使用最基础的部分,对于内核驱动我也不是太懂,如果内核部分不是保密可以用dkms,每次内核更新都会自动编译
发表于 2021-11-1 02:51:30
回复

使用道具 举报

请问大家,不同内核版本,怎么用同一个驱动呢? [复制链接]

熟悉的陌生人 发表于 2021-11-1 02:51
写成dkms?每次内核升级都可以自动更新,或者是只使用最基础的部分,对于内核驱动我也不是太懂,如果内核部 ...

刚查了下dkms,需要驱动源码;现在是要提交客户用的,不提供驱动源码;
谢谢了
 楼主| 发表于 2021-11-1 10:31:09
回复

使用道具 举报

请问大家,不同内核版本,怎么用同一个驱动呢? [复制链接]

如果不能用dkms的话,只好用对应的内核版本编译一遍了
发表于 2021-11-5 08:12:12
回复

使用道具 举报

请问大家,不同内核版本,怎么用同一个驱动呢? [复制链接]

shenmo 发表于 2021-11-5 08:12
如果不能用dkms的话,只好用对应的内核版本编译一遍了

噢,目前只能这样了,不知道别的单位这种文件怎么和客户同步的
谢谢了
 楼主| 发表于 2021-11-5 16:23:31
回复

使用道具 举报

小黑屋|Ubuntu Kylin    

GMT+8, 2021-12-8 08:32 , Processed in 0.018592 second(s), 18 queries .

Copyright ©2013-2021 Ubuntu Kylin. All Rights Reserved .

ICP No. 15002470-2 Tianjin

快速回复 返回顶部 返回列表